:root {
  --blanco: #FFFFFF;
  --negro: #0D0D0D;
  --primary: #BEE3EB; /* gris */
  --primary-dark: #76b5c4; /* gris */
  --tertiary: #C4C7F2; /* amarillo */
  --secondary: #7EF2E7; /* azul menu */
  --gris_dark: #74888C;  
  --azul: #001F39;  
  --sweetAlert-color-popup: #e9e9e9;
  --sweetAlert-color-text: #363636;
  --sweetAlert-color-title: #4e4e4e;
  --sweetAlert-color-header: #464646;
  --sweetAlert-color-icon: #5f5f5f;
  --sweetAlert-color-btn-aceptar: #76b5c4;
  --sweetAlert-color-btn-cancelar: #868585;
  --sweetAlert-color-btn-denegar: #424242;
}

@font-face {
  font-family: "Montserrat";
  src: url(fuentes/Montserrat-Regular.ttf) format("truetype");
}

/* Animación suave de entrada para el contenido */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.fondo_index main {
    animation: fadeIn 1.2s ease-out forwards;
}

.icon-reportes {
  width: 60px; 
  height: 60px;
}

.border-secondary-2 {
  border: solid 1px #adadad;
}

.bg-secondary-3 {
  background-color: #e4e3e3;
}

.bg-success-elao {
  background-color: #27AE60;
}

.bg-info-elao {
  background-color: #2C3E50;
}

.bg-primary-elao {
  background-color: #174080;
}

.bg-secondary-elao {
  background-color: #63707c;
}

.form-control {
  border-radius: 0px;
}

.form-select {
  border-radius: 0px;
}

.form-check-input:checked {
  background-color: var(--primary-dark);
  border-color: var(--primary-dark);
}

.mh-card-pedidos {
  min-height: 200px;
}

.mh-card-sabores {
  min-height: 115px;
}

.sin-sombra:hover {
  box-shadow: none !important;
}

.mh-500 {
    min-height: 500px;
  }

.info-elao {
  background-color: var(--primary);
  color: var(--negro);
}

.btn-tab-pedidos {
  border: none;
  border-bottom: 2px solid var(--primary-dark);
  color: var(--gris_dark);
}

.text-elao {
  color: var(--primary-dark);
}

.btn-danger-custom {
  background-color: #b43044;
  border-color: #b43044;
  color: var(--blanco);
  border-radius: 2px;
}

.btn-success-custom {
  background-color: #3b795c;
  border-color: #3b795c;
  color: var(--blanco);
  border-radius: 2px;
}

.btn-info-custom {
  background-color: #5eb8ca;
  border-color: #5eb8ca;
  color: var(--blanco);
  border-radius: 2px;
}

.btn-primary-custom {
  background-color: #3370cc;
  border-color: #3370cc;
  color: var(--blanco);
  border-radius: 2px;
}

.btn-warning-custom {
  background-color: #d4af3f;
  border-color: #d4af3f;
  color: var(--negro);
  border-radius: 2px;
}

.btn {
  border-radius: 2px !important;
}

.btn-elao {
  background-color: var(--primary-dark);
  border-color: var(--primary-dark);
  color: var(--blanco);
  border-radius: 2px;
}

.bg-primary-dark-elao {
  background-color: var(--primary-dark);
}

.border-primary-dark-elao {
  border-color: var(--primary-dark);
}

/* Adecuación de estilos datatable */
.dataTables_filter {
  float: right !important;
  margin-bottom: 10px;
  font-size: 11px !important;
}

.dataTables_paginate {
  float: right !important;
}

.page-link {
  font-size: 11px !important;
}

.dataTables_info {
  font-size: 11px !important;
}

.dataTables_length {
  font-size: 11px !important;
}

/* Clases SWEETALERT2 */
.my-swal {
  z-index: 999999999999;
}

.sweetAlert2Popup {
  background: var(--sweetAlert-color-popup) !important;
  width: 28em !important;
  font-size: 12px !important;
  color: var(--sweetAlert-color-text) !important;
}

.sweetAlert2PopupTitle {
  color: var(--sweetAlert-color-title) !important;
}

.sweetAlert2PopupHeader {
  color: var(--sweetAlert-color-header) !important;
}

.sweetAlert2PopupIcon {
  border-color: var(--sweetAlert-color-icon) !important;
  color: var(--sweetAlert-color-icon) !important;
}

.sweetAlert2PopupConfirm {
  background: var(--sweetAlert-color-btn-aceptar) !important;
}

.sweetAlert2PopupCancel {
  background: var(--sweetAlert-color-btn-cancelar) !important;
}

.sweetAlert2PopupDeny {
  background: var(--sweetAlert-color-btn-denegar) !important;
}

.bg-beige {
  background-color: #fafaf3;
}

.sombra-modal {
  box-shadow: 
    0 20px 25px -5px rgba(0, 0, 0, 0.1), 
    0 10px 10px -5px rgba(0, 0, 0, 0.04);
}

.modal-superior-blur {
  /* 1. Un color de fondo muy ligero y transparente */
  background-color: rgba(3, 3, 3, 0.3); 
  
  /* 2. El efecto que desenfoca TODO lo que esté detrás de esta capa */
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px); /* Para que funcione en Safari/iPhone */
  
  /* 3. Asegúrate de que cubra toda la pantalla */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  
  /* 4. El z-index debe ser mayor al de la primera modal */
  z-index: 2000; 
  
  /* 5. Centrado del contenido de la modal */
  display: flex;
  justify-content: center;
  align-items: center;
}

body {
  font-family: "Montserrat";
  font-size: 14px;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
  background-color: #fafaf3;
  color: var(--negro);
}

tool-tip {
  position: absolute;
  z-index: 1;
  pointer-events: none;
  user-select: none;

  box-shadow: 0 0 10px #000000;
  padding: .5rem 1rem;
  font-size: .8rem;
  border-radius: 8px;

  top: 100%;
  left: 12.5%;

  opacity: 0;
  transition: opacity .3s ease;
}

:has(> tool-tip) {
  position: relative;
}

:has(> tool-tip) :hover tool-tip {
  opacity: 1;
}

.border-inf {
  border: solid 2px #377eda;
  border-radius: 5px;
}

.bg-azul {
  background-color: var(--azul);
  color: var(--blanco);
}

.barra-separator {
  border-left: solid 4px var(--primary-dark);
  padding: 10px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  margin-bottom: 10px;
}

.stetic-btn {
  border-radius: 3px;
}

.no-br {
  border-radius: 0px;
}

.sombra-hover:hover {
  box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
}

.fondo_index {
  background: -webkit-linear-gradient(90deg, #f0f0f4,#d1e8eb,var(--primary));background: linear-gradient(90deg, #d1e8eb,#d9def3,var(--primary));  
}

.load-screen {
  position: absolute;
  width: 100vw;
  height: 100vh;
  background: #001F39aa;
  display: none;
  z-index: 99999999999;
}

.interior-load-screen {
  z-index: 99999999;
  margin-top: 20%;
  color: #FFF;
  font-size: medium;
}

.modal-head-per {
  background-color: var(--primary);
  color: var(--negro);
  border: solid 1px var(--primary-dark);
}

.table-head-per {
  background-color: var(--primary) !important;
  color: var(--negro);
}

.mh-150 {
  min-height: 150px;
}

.modal-body-hmd {
  min-height: 400px;
}

.modal-body-hlg {
  min-height: 700px;
}

.modal-body-hxl {
  min-height: 800px;
}

.modal {
  z-index: 99999999 !important;
}

.sombra-1 {
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.sombra {
  box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
  border-radius: 5px;
}

.sombra-modal {
  box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

.fs-08 {
  font-size: 4rem !important;
}

.fs-09 {
  font-size: 3rem !important;
}

.fs-7 {
  font-size: 0.9rem !important;
}

.fs-8 {
  font-size: 0.75rem !important;
}

.fs-9 {
  font-size: 0.60rem !important;
}

.mt-50 {
  margin-top: 50px;
}

.input-per {
  background-color: rgb(252, 252, 252, 0.6);
  border-radius: 0px;
  border: solid 1px var(--primary);
  font-size: 16px;
  height: 70%;
}

.btn-siev {
  background-color: var(--azul);
}

.button-per {
  border-radius: 2px;
  border: solid 1px var(--primary);
  width: 100%;
  padding: 10px;
  background-color: var(--primary);
  color: var(--negro);
  font-weight: bolder;
  font-size: 16px;
}

.button-per:hover {
  opacity: 0.9;
}

.btn-circle {
  width: 30px;
  height: 30px;
  padding: 6px 0px;
  border-radius: 15px;
  text-align: center;
  font-size: 12px;
  line-height: 1.42857;
}

.btn-circle.btn-xl {
  width: 40px;
  height: 40px;
  padding: 8px 6px;
  border-radius: 35px;
  font-size: 18px;
  line-height: 1.4;
}

.pointer:hover {
  cursor: pointer;
}

.no-display {
  display: none;
}

.si-display {
  display: block;
}

.no-link {
  text-decoration: none;
}

.no-border-radius {
  border-radius: 0;
}

.link {
  text-decoration: none;
  color: var(--primary-dark);
  font-weight: bold;
}

.link:hover {
  color: var(--gris_dark);
}

.mt-6 {
  margin-top: 60px;
}

.mt-7 {
  margin-top: 70px;
}

.mt-8 {
  margin-top: 80px;
}

.tooltip .top {
  min-width: 100px;
  max-width: 200px;
  top: -20px;
  left: 50%;
  transform: translate(-50%, -100%);
  padding: 10px 20px;
  color: #FFFFFF;
  background-color: #001F39;
  font-weight: normal;
  font-size: 13px;
  border-radius: 8px;
  position: absolute;
  z-index: 99999999;
  box-sizing: border-box;
  border: 1px solid #DABD3D;
  box-shadow: 0 1px 8px #CCCCCC;
  display: none;
}

.tooltip:hover .top {
  display: block;
}

.tooltip .top i {
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -12px;
  width: 24px;
  height: 12px;
  overflow: hidden;
}

.tooltip .top i::after {
  content: '';
  position: absolute;
  width: 12px;
  height: 12px;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: #001F39;
  border: 1px solid #DABD3D;
  box-shadow: 0 1px 8px #CCCCCC;
}

/* PC */
@media only screen and (min-width: 1200px) {
  
  .mh-card-clientes-header {
    min-height: 60px;
  }

  .mh-card-clientes {
    min-height: 100px;
  }

  .img-logo-pedidos {
    width: 40%;
  }

  .mh-card-usuarios {
    min-height: 300px;
  } 
  
  .mt-index {
    margin-top: 70px;
  }

  .card-login {
    padding: 10px;
    border-radius: 5px;
    background-color: var(--blanco);
    width: 80%;
  }

  .img-icon-productos {
    width: 20%;
  }
}

/* Laptops */
@media only screen and (max-width: 1199px) {

  .mh-card-clientes-header {
    min-height: 60px;
  }

  .mh-card-clientes {
    min-height: 100px;
  }

  .img-logo-pedidos {
    width: 40%;
  }

  .mh-card-usuarios {
    min-height: 300px;
  }

  .mt-index {
    margin-top: 60px;
  }
  .card-login {
    padding: 10px;
    border-radius: 5px;
    background-color: var(--blanco);
    width: 80%;
  }

  .img-icon-productos {
    width: 20%;
  }
}

/* Tablets */
@media only screen and (max-width: 999px) {

  .mh-card-clientes-header {
    min-height: 60px;
  }

  .mh-card-clientes {
    min-height: 100px;
  }

  .img-logo-pedidos {
    width: 40%;
  }

  .mh-card-usuarios {
    min-height: 300px;
  }

  .mt-index {
    margin-top: 60px;
  }
  .card-login {
    padding: 10px;
    border-radius: 5px;
    background-color: var(--blanco);
    width: 80%;
  }

  .img-icon-productos {
    width: 40%;
  }
}

/* Celulares */
@media only screen and (max-width: 575px) {

  .mh-card-clientes-header {
    min-height: 0px;
  }

  .mh-card-clientes {
    min-height: 0px;
  }

  .img-logo-pedidos {
    width: 80%;
  }

  .mh-card-usuarios {
    min-height: 150px;
  }

  .mt-index {
    margin-top: 60px;
  }

  .card-login {
    padding: 10px;
    border-radius: 5px;
    background-color: var(--blanco);
    width: 100%;
  }

  .img-icon-productos {
    width: 100%;
  }
}

.card-login-body {
    padding: 10px;
  }


.modal-loading {
  background-color: #001F39aa;
}

.mt-load {
  margin-top: 300px;
}

.loader {
  margin-top: 50px;
  width: 60px;
  aspect-ratio: 4;
  background: radial-gradient(closest-side at calc(100%/6) 50%, #000 90%, #0000) 0/75% 100%;
  position: relative;
  animation: l15-0 1s infinite linear;
}

.bg-light-2 {
  background-color: #f4f6f7;
}

.btn-redondo {
  border-radius: 50px !important;
}

.swal2-styled {
  border-radius: 2em !important; /* Ajusta el valor para más o menos redondeo */
}

.hloader {
  height: 60px;
}

.br-5 {
  border-radius: 5px;
}

.loader {
  width: 40px;
  height: 40px;
  --c: no-repeat linear-gradient(var(--amarillo) 0 0);
  background: var(--c), var(--c), var(--c), var(--c);
  background-size: 21px 21px;
  animation: l5 1.5s infinite cubic-bezier(0.3, 1, 0, 1);
}

@keyframes l5 {
  0% {
    background-position: 0 0, 100% 0, 100% 100%, 0 100%
  }

  33% {
    background-position: 0 0, 100% 0, 100% 100%, 0 100%;
    width: 60px;
    height: 60px
  }

  66% {
    background-position: 100% 0, 100% 100%, 0 100%, 0 0;
    width: 60px;
    height: 60px
  }

  100% {
    background-position: 100% 0, 100% 100%, 0 100%, 0 0
  }
}


/*
#f63a99 25%,
#30dcf6 25%,
#30dcf6 25%,
#30dcf6 50%,
#f2d200 50%,
#f2d200 50%,
#f2d200 75%,
#70ca5c 75%
*/

.loader2 {
  height: 120px;
	width: 90px;
	border-radius: 55px 55px 10px 10px;
	position: relative;
  background: #FF3D00;

background-image: linear-gradient(0deg,
    var(--tertiary) 25%,
    var(--primary-dark) 25%,
    var(--primary-dark) 25%,
    var(--primary-dark) 55%,
    var(--secondary) 50%,
    var(--secondary) 50%,
    var(--secondary) 75%,
    var(--primary) 75%);
	background-position: 0px 0px;
  background-size: auto 175px;
	background-repeat: repeat-y;
  animation: colorShift 6s linear infinite;

}
.loader2:before {
    content: '';
    position: absolute;
    left: 10px;
    bottom: 15px;
    width: 15px;
    height: 80px;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.5);

  }

.loader2:after {
  content: "";
  position: absolute;
  left: 50%;
  top: 100%;
  transform: translate(-50% , 0);
  box-shadow: 0 15px 2px rgba(0, 0, 0, 0.25) inset;
	width: 32px;
  height: 45px;
  background: #E09C5F;
  border-radius: 0 0 12px 12px;
}

@keyframes colorShift {
  to {    background-position: 0 175px}
}



.loader_bar {
  width: 120px;
  height: 30px;
  display: inline-block;
  background-color: var(--primary-dark);
  border: 1px solid var(--primary-dark);
  border-radius: 4px;
  background: linear-gradient(45deg, transparent 49%, #BEE3EB 50%, #BEE3EB 50%, transparent 51%, transparent), linear-gradient(-45deg, transparent 49%, #BEE3EB 50%, #BEE3EB 50%, transparent 51%, transparent);
  font-size: 15px;
  background-size: 1em 1em;
  box-sizing: border-box;
  animation: barStripe 0.6s linear infinite;
}

@keyframes barStripe {
  0% {
    background-position: 1em 0;
  }
  100% {
    background-position: 0 0;
  }
}

.loader_bar_2 {
  width: 55px;
  height: 55px;
  display: inline-block;
  position: relative;
}
.loader_bar_2::after,
.loader_bar_2::before {
  content: '';  
  box-sizing: border-box;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background: #76b5c4;
  position: absolute;
  left: 0;
  top: 0;
  animation: animloader 2s linear infinite;
}
.loader_bar_2::after {
  animation-delay: 1s;
}

@keyframes animloader {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
    